System 2.0.0.0 4.0.0.0 System.Enum

The enumeration is used by the and classes to specify a level of access to an SMTP host computer. The class demands an when sending electronic mail to the SMTP host for delivery.

Specifies the level of access allowed to a Simple Mail Transport Protocol (SMTP) server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpAccess

  Connection to an SMTP host on the default port (port 25).

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpAccess

  Connection to an SMTP host on any port.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpAccess

  No access to an SMTP host.